{% extends "teams/base.html" %}

{% block content %}

{% if form.errors %}
<p>Your username and password didn't match. Please try again.</p>
{% endif %}

{% if next %}
{% if user.is_authenticated %}
<p>Your account doesn't have access to this page. To proceed,
    please login with an account that has access.</p>
{% else %}
<p>Please login to see this page.</p>
{% endif %}
{% endif %}

<form method="post" action="{% url 'login' %}" class="login-form">
    {% csrf_token %}
    <div class="container">
        <div class="mb-3">
            <label for="id_username" class="form-label">Username:</label>
            <input type="text" name="username" autofocus="" autocapitalize="none" autocomplete="username"
                   maxlength="150" required="" id="id_username" class="form-control">

        </div>
        <div class="mb-3">
            <label for="id_password" class="form-label">Password:</label>
            <input type="password" name="password" autocomplete="current-password" required="" id="id_password"
                   class="form-control">
        </div>
        <ul class="errorlist"></ul>
        <input type="submit" class="btn btn-primary" value="Login"/>
        <input type="hidden" name="next" value="{{ next }}"/>
    </div>
</form>
{% endblock %}

{% block styles %}
<style>
 .login-form{
    display: flex;
        }
 .container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    min-height: 10vh;
        }


</style>
{% endblock styles %}